#include "mbed.h"

Serial pc(USBTX, USBRX);

DigitalOut red[4] = {dp6, dp28, dp1, dp2};
DigitalIn kolona[4] = {dp9, dp10, dp11, dp13};

Ticker tick;

char matrica[4][4] = {{'1','2','3','A'}, {'4','5','6','B'}, {'7','8','9','C'}, {'*','0','#','D'}};
 
char dajOznaku(int red) 
{
    for(int i=0; i<4; i++) if(kolona[i] == 1) return matrica[3-red][i];
    return 'x';
}

void ispis() 
{
        char znak='x';
        for(int i=0; i<4; i++)
        {
            red[i]=1;
        znak=dajOznaku(i);
            red[i]=0;
             if(znak!='x') break;
        if(i==3 &&znak=='x') return;    
        }
    if(znak!='*') pc.putc(znak);
    else pc.putc('\n');
}        
        
        
int main()
{    
    tick.attach(&ispis, 0.1);
    while(1) 
    {}
}
